# Uses of Interface
org.picocontainer.behaviors.FieldDecorated.Decorator

Packages that use FieldDecorated.Decorator
Package
Description
org.picocontainer.behaviors
BehaviorFactories make Behaviors which change aspects of component implementations and instances

## Uses of FieldDecorated.Decorator in org.picocontainer.behaviors

Classes in org.picocontainer.behaviors that implement FieldDecorated.Decorator
Modifier and Type
Class
Description
`class`
`FieldDecorating`
BehaviorFactory for Field Decorating.
Constructors in org.picocontainer.behaviors with parameters of type FieldDecorated.Decorator
Modifier
Constructor
Description
``
`FieldDecorated(ComponentAdapter delegate, Class<?> fieldClass, FieldDecorated.Decorator decorator)`